#############################################################################
#
# MODULE:   	Grass Compilation
# AUTHOR(S):	Original author unknown - probably CERL
#		Markus Neteler - Germany/Italy - neteler@itc.it
#   	    	Justin Hickey - Thailand - jhickey@hpcc.nectec.or.th
#   	    	Huidae Cho - Korea - grass4u@gmail.com
#   	    	Eric G. Miller - egm2@jps.net
# PURPOSE:  	The source file for this Makefile is in src/CMD/head/head.in.
#		It is the top part of a file called make.rules which is used
#		for compiling all GRASS modules. This part of the file provides
#		make variables that are dependent on the results of the
#		configure script.
# COPYRIGHT:    (C) 2000 by the GRASS Development Team
#
#               This program is free software under the GNU General Public
#   	    	License (>=v2). Read the file COPYING that comes with GRASS
#   	    	for details.
#
#############################################################################

############################## Make Variables ###############################

CC                  = gcc
#FC                  = @F77@
CXX                 = llvm-g++
LEX                 = flex
YACC                = bison -y
PERL                = /usr/bin/perl
AR                  = ar
RANLIB              = ranlib
MKDIR               = mkdir -p
CHMOD               = chmod
INSTALL             = /usr/bin/install -c 
INSTALL_DATA        = ${INSTALL} -m 644

prefix              = /Applications
exec_prefix         = ${prefix}
ARCH                = x86_64-apple-darwin11.4.2
UNIX_BIN            = ${exec_prefix}/bin
INST_DIR            = ${prefix}/GRASS-6.4.app/Contents/MacOS

PLAT_OBJS           = 
STRIPFLAG           = 
CC_SEARCH_FLAGS     = 
LD_SEARCH_FLAGS     = 
LD_LIBRARY_PATH_VAR = DYLD_LIBRARY_PATH
LIB_RUNTIME_DIR     = $(ARCH_LIBDIR)

#static libs:
STLIB_LD            = ${AR} cr
STLIB_PREFIX        = lib
STLIB_SUFFIX        = .a

#shared libs
SHLIB_PREFIX        = lib
SHLIB_LD            = cc -dynamiclib -compatibility_version ${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR} -current_version ${GRASS_VERSION_MAJOR}.${GRASS_VERSION_MINOR} -install_name ${INST_DIR}/lib/lib${LIB_NAME}${SHLIB_SUFFIX}
SHLIB_LD_EXTRAS     = 
SHLIB_LD_FLAGS      = 
SHLIB_LD_LIBS       = ${LIBS}
SHLIB_CFLAGS        = -fno-common
SHLIB_SUFFIX        = .dylib
EXE                 = 


# GRASS dirs
GRASS_HOME = $(GRASS_HOME)
RUN_GISBASE = $(GISBASE)
RUN_GISRC           = ${ARCH_DISTDIR}/demolocation/.grassrc${GRASS_VERSION_MAJOR}${GRASS_VERSION_MINOR}

DEFAULT_DATABASE    =
DEFAULT_LOCATION    =

CPPFLAGS            = 
CFLAGS1             = -Os -fexceptions   -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk
CXXFLAGS1           = -Os  -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk
INCLUDE_DIRS        = 

COMPILE_FLAGS       = $(CPPFLAGS) $(CFLAGS1) $(INCLUDE_DIRS)
COMPILE_FLAGS_CXX   = $(CPPFLAGS) $(CXXFLAGS1) $(INCLUDE_DIRS)
LINK_FLAGS          =   -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk   -arch i386 -arch x86_64 -isysroot /Developer/SDKs/MacOSX10.6.sdk

DLLIB               = 
XCFLAGS             =  -I/usr/X11/include
XMINC               =  -I/Users/Shared/unix/lesstif-snow/include
XLIBPATH            =  -L/usr/X11/lib
XLIB                =  -lSM -lICE -lX11
XTLIB               = -lXt
XMLIB               =  -L/Users/Shared/unix/lesstif-snow/lib -lXm 
XEXTRALIBS          = 
USE_X11             = 1

COMPATLIB           = 
CURSES              = -lncurses $(COMPATLIB)
USE_CURSES          = 1
MATHLIB             =  
XDRLIB              =     -lz 
ICONVLIB            = -liconv
INTLLIB             = 
SOCKLIB             = 

#ZLIB:
ZLIB                =    -lz 
ZLIBINCPATH         = 
ZLIBLIBPATH         = 

#DBM:
#DBMINCPATH          = @DBMINCPATH@
#DBMLIBPATH          = @DBMLIBPATH@
#DBMLIB              = @DBMLIB@
DBMIEXTRALIB        = 

#readline
READLINEINCPATH     = 
READLINELIBPATH     = 
READLINELIB         =  -lreadline 
HISTORYLIB          =  -lhistory 

#PostgreSQL:
PQINCPATH           =  -I/Users/Shared/unix/pgsql-pq-snow/usr/local/pgsql-9.1/include
PQLIBPATH           =  -L/Users/Shared/unix/pgsql-pq-snow/usr/local/pgsql-9.1/lib
PQLIB               =  -lpq 

#MySQL:
MYSQLINCPATH        = 
MYSQLLIBPATH        = 
MYSQLLIB            = 
MYSQLDLIB            = 

#SQLite:
SQLITEINCPATH        =  -I/Library/Frameworks/SQLite3.framework/unix/include
SQLITELIBPATH        =  -L/Library/Frameworks/SQLite3.framework/unix/lib
SQLITELIB            =  -lsqlite3 

#FFMPEG
FFMPEGINCPATH        =  -I/Users/Shared/unix/ffmpeg-snow/include -I/Users/Shared/unix/ffmpeg-snow/include/libavcodec -I/Users/Shared/unix/ffmpeg-snow/include/libavdevice -I/Users/Shared/unix/ffmpeg-snow/include/libavformat -I/Users/Shared/unix/ffmpeg-snow/include/libavutil -I/Users/Shared/unix/ffmpeg-snow/include/libswscale
FFMPEGLIBPATH        =  -L/Users/Shared/unix/ffmpeg-snow/lib
FFMPEGLIB            =  -lavutil  -lavcodec  -lavformat 

#ODBC:
ODBCINC             = 
ODBCLIB             =  -liodbc 

#Image formats:
PNGINC              =  -I/Library/Frameworks/UnixImageIO.framework/unix/include
PNGLIB              =  -L/Library/Frameworks/UnixImageIO.framework/unix/lib -lpng  -lz  
USE_PNG             = 1

JPEGINCPATH         = @JPEGINCPATH@
JPEGLIBPATH         = @JPEGLIBPATH@
JPEGLIB             = @JPEGLIB@

TIFFINCPATH         =  -I/Library/Frameworks/UnixImageIO.framework/unix/include
TIFFLIBPATH         =  -L/Library/Frameworks/UnixImageIO.framework/unix/lib
TIFFLIB             =  -ltiff 

#openGL files for NVIZ/r3.showdspf
OPENGLINC           =  -I/System/Library/Frameworks/OpenGL.framework/Headers
OPENGLWINC          = 
OPENGLLIB           = -framework OpenGL -framework AGL -framework ApplicationServices
OPENGLULIB          = 
OPENGLWM            = 
# USE_GLWM            = @USE_GLWM@
OPENGL_X11          = 
OPENGL_AQUA         = 1
OPENGL_WINDOWS      = 
USE_OPENGL          = 1

#tcl/tk stuff
TCLINCDIR           =  -I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders
TKINCDIR            =  -I/Library/Frameworks/Tcl.framework/Headers -I/Library/Frameworks/Tk.framework/Headers -I/Library/Frameworks/Tk.framework/PrivateHeaders
TCLTKLIBPATH        =  -L/usr/local/lib
TCLTKLIBS           =  -ltk   -ltcl 
TCLVERSION          = 8.5
MACOSX_ARCHS_TCLTK  =  -arch i386

#FFTW:
FFTWINC             =  -I/Users/Shared/unix/fftw3-snow/include
FFTWLIB             =  -L/Users/Shared/unix/fftw3-snow/lib -lfftw3 

#LAPACK/BLAS stuff for gmath lib:
BLASLIB             = -lblas
BLASINC				=  -I/System/Library/Frameworks/Accelerate.framework/Frameworks/vecLib.framework/Headers
LAPACKLIB           =  -llapack 
LAPACKINC			=  -I/System/Library/Frameworks/Accelerate.framework/Frameworks/vecLib.framework/Headers

#GDAL/OGR
GDALLIBS            = -L/Library/Frameworks/GDAL.framework/Versions/1.9/unix/lib -lgdal
GDALCFLAGS          = -I/Library/Frameworks/GDAL.framework/Versions/1.9/Headers
USE_GDAL            = 1
USE_OGR             = 1

#GEOS
GEOSLIBS            = -L/Library/Frameworks/GEOS.framework/Versions/3/unix/lib -lgeos -lgeos_c 
GEOSCFLAGS          = -I/Library/Frameworks/GEOS.framework/Versions/3/unix/include
USE_GEOS            = 1

#FreeType:
FTINC               =  -I/Library/Frameworks/FreeType.framework/unix/include/freetype2 -I/Library/Frameworks/FreeType.framework/unix/include
FTLIB               =  -L/Library/Frameworks/FreeType.framework/unix/lib -lfreetype 

#PROJ.4:
PROJINC             =  -I/Library/Frameworks/PROJ.framework/unix/include $(GDALCFLAGS)
PROJLIB             =  -L/Library/Frameworks/PROJ.framework/unix/lib -lproj 
NAD2BIN             = /Library/Frameworks/PROJ.framework/Programs/nad2bin
PROJSHARE           = /Library/Frameworks/PROJ.framework/Resources/proj

#OPENDWG:
OPENDWGINCPATH      = 
OPENDWGLIBPATH      = 
OPENDWGLIB          = 
USE_OPENDWG         = 

#cairo
CAIROINC            = -I/Library/Frameworks/cairo.framework/Headers -I/Library/Frameworks/cairo.framework/unix/include/cairo -I/Library/Frameworks/cairo.framework/unix/include
CAIROLIB            = -framework cairo -L/Library/Frameworks/cairo.framework/unix/lib -lcairo 
USE_CAIRO           = 1

#Python
PYTHON              = python
PYTHONINC           = -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6
PYTHONCFLAGS        = -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -I/System/Library/Frameworks/Python.framework/Versions/2.6/include/python2.6 -fno-strict-aliasing -fno-common -dynamic -g -Os -pipe -fno-common -fno-strict-aliasing -fwrapv -mno-fused-madd -DENABLE_DTRACE -DMACOSX -DNDEBUG -Wall -Wstrict-prototypes -Wshorten-64-to-32 -DNDEBUG -g -fwrapv -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE  
PYTHONLDFLAGS       = -L/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/config -ldl -framework CoreFoundation -lpython2.6
SWIG                = @SWIG@
USE_PYTHON          = 1
MACOSX_ARCHS_PYTHON =  -arch i386 -arch x86_64

#wxWidgets
WXVERSION           = 2.8.12
WXWIDGETSCXXFLAGS   = -I/Users/Shared/unix/wxpython-snow/lib/wx/include/mac-unicode-debug-2.8 -I/Users/Shared/unix/wxpython-snow/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_IODBC_ -D__WXDEBUG__ -D__WXMAC__ 
WXWIDGETSCPPFLAGS   = -I/Users/Shared/unix/wxpython-snow/lib/wx/include/mac-unicode-debug-2.8 -I/Users/Shared/unix/wxpython-snow/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D_IODBC_ -D__WXDEBUG__ -D__WXMAC__
WXWIDGETSLIB        = -L/Users/Shared/unix/wxpython-snow/lib   -L/Library/Frameworks/UnixImageIO.framework/unix/lib -framework IOKit -framework Carbon -framework Cocoa -framework System -framework QuickTime -framework OpenGL -framework AGL  -lwx_macud-2.8 
USE_WXWIDGETS       = 1
MACOSX_ARCHS_WXPYTHON =  -arch i386

#regex
REGEXINCPATH        = 
REGEXLIBPATH        = 
REGEXLIB            =  
USE_REGEX           = 1

#i18N
HAVE_NLS            = 

#Large File Support (LFS)
USE_LARGEFILES      = 1

#BSD sockets
HAVE_SOCKET         = 1

MINGW		    = 
MACOSX_APP	    = 1
MACOSX_ARCHS        =  -arch i386 -arch x86_64
MACOSX_SDK          = -isysroot /Developer/SDKs/MacOSX10.6.sdk

# Cross compilation
CROSS_COMPILING =  
